// This script demonstrates how to use the
// PointRoi.promptBeforeDeleting() method, 
// added in ImageJ 1.42d. To see the
// "Delete Points?" dialog, run this script and
// then click on the image it generates, but not
// on one of the points.

  img = IJ.createImage("Untitled", "8-bit black", 400, 400, 1);
  xpoints = [112, 247, 325, 310, 188, 60];
  ypoints = [75, 45, 150, 260, 260, 240];
  points = new PointRoi(xpoints, ypoints);
  points.setShowLabels(true);
  points.setPointType(2);
  points.setSize(4);
  points.promptBeforeDeleting(true);
  img.setRoi(points);
  img.show();
  IJ.setTool("rectangle");
 
